package schedule

import (
	"context"
	"net/url"
)

// Gets the broadcaster’s streaming schedule as an iCalendar.
//
// The Client-Id and Authorization headers are not required.
func (s *Schedule) GetChannelICalendarURL(ctx context.Context, broadcasterId string) *url.URL {
	return s.baseUrl.ResolveReference(&url.URL{
		Path:     "schedule/icalendar",
		RawQuery: url.Values{"broadcaster_id": {broadcasterId}}.Encode(),
	})
}
