package events

type Product struct {
	// Product name.
	Name string `json:"name"`

	// Bits involved in the transaction.
	Bits int `json:"bits"`

	// Unique identifier for the product acquired.
	Sku string `json:"sku"`

	// Flag indicating if the product is in development. If in_development is true, bits will be 0.
	InDevelopment bool `json:"in_development"`
}

type ExtensionBitsTransactionCreateEvent struct {
	// Client ID of the extension.
	ExtensionClientId string `json:"extension_client_id"`

	// Transaction ID.
	Id string `json:"id"`

	// The transaction’s broadcaster ID.
	BroadcasterUserId string `json:"broadcaster_user_id"`

	// The transaction’s broadcaster login.
	BroadcasterUserLogin string `json:"broadcaster_user_login"`

	// The transaction’s broadcaster display name.
	BroadcasterUserName string `json:"broadcaster_user_name"`

	// The transaction’s user ID.
	UserId string `json:"user_id"`

	// The transaction’s user login.
	UserLogin string `json:"user_login"`

	// The transaction’s user display name.
	UserName string `json:"user_name"`

	// Additional extension product information.
	Product Product `json:"product"`
}
